using System;
using System.Collections.Generic;
using System.Configuration.Provider;
using System.Web;
using System.Web.Security;

namespace ExtendedMemberShip
{
	public abstract class MemberShipProvider : ProviderBase
	{
		// Methods to implement
        internal abstract bool CreateUser(UserInfo userInfo);
        internal abstract bool Delete(object UserId);
        internal abstract void UpdateUser(object UserId, DateTime DateOfBith);
        internal abstract UserInfo GetUser(object UserId);
        internal abstract List<UserInfo> GetAllUsers();
        internal abstract List<UserInfo> GetUsersByUserIds(string UserIds);
	}
}