using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using RJS.Web.WebControl;
using ExtendedMemberShip;

public partial class CreateUser : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void CreateUserWizard1_CreatedUser(object sender, EventArgs e)
    {
        // In this step, we need to try adding the custom field
        // into our custom table
        string FirstName = Server.HtmlEncode(((TextBox)CreateUserWizard1.CreateUserStep.ContentTemplateContainer.FindControl("FirstName")).Text);
        string LastName = Server.HtmlEncode(((TextBox)CreateUserWizard1.CreateUserStep.ContentTemplateContainer.FindControl("LastName")).Text);
        DateTime DateOfBirth = Convert.ToDateTime(((PopCalendar)CreateUserWizard1.CreateUserStep.ContentTemplateContainer.FindControl("PopCalendar1")).SelectedDate);

        // Call the method
        bool IsCreated = MemberShip.CreateUser(CreateUserWizard1.UserName, FirstName, LastName, DateOfBirth);

        // Get the label to display results
        Label lblMsg = (Label)CreateUserWizard1.CompleteStep.ContentTemplateContainer.FindControl("lblmsg");

        if (!IsCreated)
        {
            // User record was not successfully added to my custom table
            // Delete that user from the membership default tables
            // to maintain consistency
            Membership.DeleteUser(CreateUserWizard1.UserName);

            // Inform the user
            lblMsg.Text = "User could not be created! Please try again.<br />";
            return;
        }

        lblMsg.Text = "User created successfully! Thank you for registering with us.<br />";       
    }
}